<?php
/**
 * BannerButtonTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * BannerButtonTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип кнопки:   * &#x60;outline_black&#x60; - С чёрной обводкой   * &#x60;outline_white&#x60; - С белой обводкой   * &#x60;black&#x60; - Чёрная   * &#x60;white&#x60; - Белая
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BannerButtonTypeEnum
{
    /**
     * Possible values of this enum
     */
    const TYPE_OUTLINE_BLACK = 'outline_black';
    const TYPE_OUTLINE_WHITE = 'outline_white';
    const TYPE_BLACK = 'black';
    const TYPE_WHITE = 'white';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::TYPE_OUTLINE_BLACK,
            self::TYPE_OUTLINE_WHITE,
            self::TYPE_BLACK,
            self::TYPE_WHITE,
        ];
    }
}


